All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculations.percent.html
Class PercentItemNode

    com.sas.servlet.tbeans.dataselectors.calculations.percent.html.PercentItemNode

All Implemented Interfaces:
  PercentItemNodeStyleKeysInterface, ItemInterface, JavaScriptNodeInterface, JavaScriptNodeStyleKeysInterface

    public class PercentItemNode

implements PercentItemNodeStyleKeysInterface

The DataItemNode is a TransformationBean™ that generates the appropriate HTML 4.0 that provides a javascript node with additional description and style properties.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.calculations.percent.html.PercentItemNodeStyleKeysInterface
`PCSLISTBOXVIEW_LABEL_NODE_STYLE, PCSLISTBOXVIEW_MEASURE_NODE_STYLE, PCSLISTBOXVIEW_PERCENT_NODE_STYLE`

Fields inherited from interface com.sas.servlet.tbeans.models.JavaScriptNodeStyleKeysInterface
`JAVASCRIPTNODE_IMAGE, JAVASCRIPTNODE_INDENT, JAVASCRIPTNODE_SELECTED_TEXT, JAVASCRIPTNODE_TEXT`

Constructor Summary
`PercentItemNode()` Construct a new JSNode

Method Summary
`java.lang.String` | `getLabel()` Gets the element of the JSNode.
`java.lang.String` | `getLabelStyle()` Gets the element of the JSNode.
`java.lang.String` | `getMeasureId()` Gets the element of the JSNode.
`java.util.Map` | `getNodeConstructorParameters()` Returns a Map containing the name/value pairs of the properties to be passed to the constructor.
`java.lang.String` | `getPercent()` Gets the element of the JSNode.
`java.lang.String` | `getPercentId()` Gets the element of the JSNode.
`java.lang.String` | `getPercentStyle()` Gets the element of the JSNode.
`java.lang.String` | `getPercentType()` Gets the element of the JSNode.
`java.lang.String` | `getTextStyle()` Gets the element of the JSNode.
`void` | `setLabel(java.lang.String value)` Sets the element of the JSNode.
`void` | `setLabelStyle(java.lang.String labelStyle)` Sets the element of the JSNode.
`void` | `setMeasureId(java.lang.String measureId)` Sets the element of the JSNode.
`void` | `setPercent(java.lang.String value)` Sets the element of the JSNode.
`void` | `setPercentId(java.lang.String percentId)` Sets the element of the JSNode.
`void` | `setPercentStyle(java.lang.String percentStyle)` Sets the element of the JSNode.
`void` | `setPercentType(java.lang.String percentType)` Sets the element of the JSNode.
`void` | `setTextStyle(java.lang.String textStyle)` Sets the element of the JSNode.

Methods inherited from class com.sas.servlet.tbeans.models.JavaScriptNode
`createNodeParameterString, escapeNodeText, getAlternateText, getCloneNodeFunctionName, getDeselectNodeFunctionName, getDisabledImage, getImage, getImageLocation, getNodeConstructorName, getRenderNodeFunctionName, getSelectNodeFunctionName, getStyleClassPrefix, getStyleMap, isImagesOnly, isNoWrap, setAlternateText, setCloneNodeFunctionName, setDeselectNodeFunctionName, setDisabledImage, setImage, setImageLocation, setImagesOnly, setNodeConstructorName, setNoWrap, setRenderNodeFunctionName, setSelectNodeFunctionName, setStyleClassPrefix`

Methods inherited from class com.sas.servlet.tbeans.models.Item
`getName, getOnBlur, getOnChange, getOnClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseOut, getOnMouseOver, getOnMouseUp, getText, getValue, isSelected, setName, setOnBlur, setOnChange, setOnClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseOut, setOnMouseOver, setOnMouseUp, setSelected, setText, setValue, toString`

Methods inherited from interface com.sas.servlet.tbeans.models.JavaScriptNodeInterface
`getIndentionLevel, getText, getValue, setIndentionLevel, setText, setValue`

Constructor Detail

### PercentItemNode

    public PercentItemNode()

  Construct a new JSNode

Method Detail

### setPercent

    public void setPercent(java.lang.String value)

  Sets the element of the JSNode.

  Parameters:
    `value` - The element

### getPercent

    public java.lang.String getPercent()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setLabel

    public void setLabel(java.lang.String value)

  Sets the element of the JSNode.

  Parameters:
    `value` - The element

### getLabel

    public java.lang.String getLabel()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setTextStyle

    public void setTextStyle(java.lang.String textStyle)

  Sets the element of the JSNode.

  Parameters:
    `textStyle` - The element

### getTextStyle

    public java.lang.String getTextStyle()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setPercentStyle

    public void setPercentStyle(java.lang.String percentStyle)

  Sets the element of the JSNode.

  Parameters:
    `percentStyle` - The element

### getPercentStyle

    public java.lang.String getPercentStyle()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setLabelStyle

    public void setLabelStyle(java.lang.String labelStyle)

  Sets the element of the JSNode.

  Parameters:
    `labelStyle` - The element

### getLabelStyle

    public java.lang.String getLabelStyle()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setMeasureId

    public void setMeasureId(java.lang.String measureId)

  Sets the element of the JSNode.

  Parameters:
    `measureId` - The element

### getMeasureId

    public java.lang.String getMeasureId()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setPercentId

    public void setPercentId(java.lang.String percentId)

  Sets the element of the JSNode.

  Parameters:
    `percentId` - The element

### getPercentId

    public java.lang.String getPercentId()

  Gets the element of the JSNode.

  Returns:
    element The indent

### setPercentType

    public void setPercentType(java.lang.String percentType)

  Sets the element of the JSNode.

  Parameters:
    `percentType` - The element

### getPercentType

    public java.lang.String getPercentType()

  Gets the element of the JSNode.

  Returns:
    element The indent

### getNodeConstructorParameters

    public java.util.Map getNodeConstructorParameters()

  Returns a Map containing the name/value pairs of the properties to be passed to the constructor.

  Specified by:
    `getNodeConstructorParameters` in interface `JavaScriptNodeInterface`
  Overrides:
    `getNodeConstructorParameters` in class `JavaScriptNode`
  Returns:
    parameters The node constructor parameters

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.